Skip to main content
GET
/
api
/
v1
/
public
/
citations
/
all-sources
Get All Source Urls
curl --request GET \
  --url https://api.tryhikoo.com/api/v1/public/citations/all-sources \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "url": "<string>",
      "citation_count": 123,
      "percentage": 123,
      "prompts": [
        {
          "id": 123,
          "content": "<string>"
        }
      ],
      "platforms": [
        {
          "count": 123
        }
      ]
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123,
  "total_pages": 123
}

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:25
Required range: 1 <= x <= 200
time_range
enum<string> | null
Available options:
all_time,
1y,
1m,
1w,
1d
platforms[]
enum<string>[] | null
Available options:
ChatGPT,
Gemini,
AI Overviews,
Google AI Mode,
Perplexity,
Mistral,
Claude,
DeepSeek,
Grok,
Copilot
localizations[]
string[] | null
topic_ids[]
integer[] | null
source_class
string | null
Pattern: ^(all|mentioned|background)$
website_id
integer
required

Target website id

Response

Successful Response

Paginated list of full source URLs sorted by occurrence count.

items
SourceUrlBreakdown · object[]
required
total
integer
required
page
integer
required
page_size
integer
required
total_pages
integer
required